ALTER TABLE rsvp_requests DROP COLUMN rsvp_slot_id;
ALTER TABLE rsvp_requests DROP COLUMN chosen;
ALTER TABLE rsvp_requests DROP COLUMN message;

CREATE TABLE rsvp_requests_rsvp_slots (
  id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4() NOT NULL,
  rsvp_request_id VARCHAR(64) NOT NULL REFERENCES rsvp_requests(id) ON DELETE CASCADE,
  rsvp_slot_id VARCHAR(64) NOT NULL REFERENCES rsvp_slots(id) ON DELETE CASCADE,
  chosen BOOLEAN DEFAULT FALSE,
  created_at TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW() NOT NULL,
  updated_at TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW() NOT NULL
);

CREATE TABLE session_info_comments (
  id VARCHAR(64) PRIMARY KEY DEFAULT uuid_generate_v4(),
  music_session_id VARCHAR(64) NOT NULL REFERENCES music_sessions(id) ON DELETE CASCADE,
  creator_id VARCHAR(64) NOT NULL REFERENCES users(id) ON DELETE CASCADE,
  comment TEXT NOT NULL,
  created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
  updated_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP
);